oci_fetch_object
oci_fetch
OCI8 Functions
PHP Manual

# oci_fetch_row

(PHP 5, PECL oci8:1.1-1.2.4)

oci_fetch_row — Returns the next row from the result data as a numeric array

### Description

array oci_fetch_row ( resource `$statement` )

Returns the next row from the result data as an indexed array.

Calling oci_fetch_row() is identical to calling oci_fetch_array() with `OCI_NUM`.

Subsequent calls to oci_fetch_row() will return the next row from the result data or `FALSE` if there are no more rows.

For details on the data type mapping performed by the oci8 driver, see the datatypes supported by the driver

### Parameters

`statement`

  A valid OCI statement identifier.

### Return Values

Returns an indexed array with the field information, or `FALSE` if there are no more rows in the `statement` .

> Note: This function sets NULL fields to the PHP `NULL` value.

### See Also

- oci_fetch_array()
- oci_fetch_assoc()
- oci_fetch_object()
- oci_fetch_all()

oci_fetch_object
oci_fetch
OCI8 Functions
PHP Manual